Prosíme přihlašte se nebo zaregistrujte.

Přihlašte se svým uživatelským jménem a heslem.
Vaše pomoc je stále potřeba!

Autor Téma: Problem instalace 'dupeGuru' na U20-mate dnes ...  (Přečteno 1172 krát)

miro_

  • Aktivní člen
  • *
  • Příspěvků: 238
Problem instalace 'dupeGuru' na U20-mate dnes ...
« kdy: 07 Února 2024, 17:26:58 »
7.12.2023 jsem bez problemu instaloval 'dupeGuru' na PC s U20-mate ...
sudo apt-add-repository ppa:hsoft/ppa
nacitano:
gpg: soubor klíčů (keyring) `/tmp/tmp216ber2l/secring.gpg' vytvořen
  ...
 gpg:               importováno: 1  (RSA: 1)
 OK
 

Nemel jsem tehdy cas program dukladne zkouset. Pri prvnim testovani mi pripadal zajimavy.
Po te jsem v prosinci na tomto U20 jeste delal neuspesne pokusy s vzdalenou spravou.
S pokusy jsem skoncil koncem roku u nefukcniho U20-mate s 'X11 display-manager' atd..
Jak prepnout na std. U20mate desktop z X11 desktop dle www nebylo funkcni.
Proto jsem vse zahodil a vratil se na zalohu z Timeshift pred touto instalaci.
Dnes ale pokus o 'dupeGuru' instalaci konci:
sudo apt-add-repository ppa:hsoft/ppa
  .....
 Načítají se seznamy balíků… Hotovo                                             
 E: Repositář „http://ppa.launchpad.net/hsoft/ppa/ubuntu focal Release“ neobsahuje soubor Release.
 N: Aktualizaci z takového repositáře nelze provést zabezpečeně a je proto implicitně zakázána.
 N: Podrobnosti o vytváření a nastavení repositářů naleznete v manuálové stránce apt-secure(8).


Dle webu by problem mel jit obejit uzitim Flatpak
  https://github.com/arsenetar/dupeguru/issues/1169 .

Po hledani informaci o Flatpak na webech i v tomto foru jsem v rozpacich.
Zde na foru jsem narazil na zajimavy postup v zaveru 'jak do Ubuntu dostat repozitář'
 https://forum.ubuntu.cz/index.php?topic=86199.msg581147#msg581147

- ? Byl by takovy postup realizovatelny i v tomto pripade v U20-mate.
- ? Muze nekdo vysvetlit proc jeste loni s instalaci na U20-mate 'Focal Fossa' nebyl problem,
   kdyz na http://ppa.launchpad.net/hsoft/ppa/ubuntu/dists/  je pouze 'Xenial' U18 z 2017.
 

JirkaZ

  • Moderátor
  • Závislák
  • ***
  • Příspěvků: 1778
  • Dlouholetý uživatel Linuxu a open source obecně.
Re:Problem instalace 'dupeGuru' na U20-mate dnes ...
« Odpověď #1 kdy: 07 Února 2024, 18:27:27 »
Použij jiný PPA, třeba tento.

ikx

  • Aktivní člen
  • *
  • Příspěvků: 479
Re:Problem instalace 'dupeGuru' na U20-mate dnes ...
« Odpověď #2 kdy: 07 Února 2024, 18:50:17 »
...dupeguru 4.1.1 je pre 20.04-ku .deb balik... ::) ::) ::)

miro_

  • Aktivní člen
  • *
  • Příspěvků: 238
Re:Problem instalace 'dupeGuru' na U20-mate dnes ...
« Odpověď #3 kdy: 08 Února 2024, 12:14:25 »
Dekuji za Vase navrhy viz.
https://launchpad.net/~dupeguru/+archive/ubuntu/ppa
https://github.com/arsenetar/dupeguru/releases
https://launchpad.net/~dupeguru/+archive/ubuntu/ppa/+packages
, ale vse je stejne  nefunkcni a pridat PPA nejde.
Stahl jsem si  i 'src' texty, ale  s 'Python' nemam zadne zkusenosti.
V diskuzich o 'dupeGuru' jsou popisovany i nejake problemy s jeho funkcnosti.
Na takove zkouseni nemam v soucasnosti prostor.



JirkaZ

  • Moderátor
  • Závislák
  • ***
  • Příspěvků: 1778
  • Dlouholetý uživatel Linuxu a open source obecně.
Re:Problem instalace 'dupeGuru' na U20-mate dnes ...
« Odpověď #4 kdy: 08 Února 2024, 17:05:25 »
Co znamená "nejde přidat PPA"?

Odstranil jsi, nebo alespoň zakázal předtím ten nefunkční?

Zkus si stáhnout ten *.deb balíček přímo z PPA (pro příslušnou verzi *buntu) a nainstalovat ho ručně.
« Poslední změna: 08 Února 2024, 17:26:15 od JirkaZ »

ikx

  • Aktivní člen
  • *
  • Příspěvků: 479
Re:Problem instalace 'dupeGuru' na U20-mate dnes ...
« Odpověď #5 kdy: 08 Února 2024, 17:56:02 »
...noaletoto... >:( >:( >:(
...HIFIle manager tiez vie duplicity hladat... :o :o :o
« Poslední změna: 08 Února 2024, 18:44:26 od ikx »

miro_

  • Aktivní člen
  • *
  • Příspěvků: 238
Re:Problem instalace 'dupeGuru' na U20-mate dnes ...
« Odpověď #6 kdy: 09 Února 2024, 16:37:57 »
Samozrejme jsem zkusil instalovat dostupny balicek
sudo alien -i dupeguru-4.3.1-2.x86_64.rpm
po pokusu spusteni a  naslednem doplneni z err po spusteni
 install python3-pyqt5
to konci takto
~$ dupeguru
WARNING:root:Can't setup desktop functions!
Traceback (most recent call last):
  File "/usr/bin/dupeguru", line 17, in <module>     from qt.error_report_dialog import install_excepthook
  File "/usr/share/dupeguru/qt/error_report_dialog.py", line 26, in <module>     from qt.util import horizontal_spacer
  File "/usr/share/dupeguru/qt/util.py", line 15, in <module>     from core.util import executable_folder
  File "/usr/share/dupeguru/core/util.py", line 13, in <module>     import semantic_version
ModuleNotFoundError: No module named 'semantic_version'


JirkaZ

  • Moderátor
  • Závislák
  • ***
  • Příspěvků: 1778
  • Dlouholetý uživatel Linuxu a open source obecně.
Re:Problem instalace 'dupeGuru' na U20-mate dnes ...
« Odpověď #7 kdy: 09 Února 2024, 17:09:25 »
Hm, možná ten Python někdo miluje, ale já jsem ještě nějak nepřišel na jeho výhody (coby koncový uživatel), spíš je s tím notorický opruz s různými verzemi, následně nesplněnými závislostmi apod.

Jestli prostě jen potřebuješ hledat duplicity, tak existuje víc použitelných programů (czkawka, fslint atd.)...

ikx

  • Aktivní člen
  • *
  • Příspěvků: 479
Re:Problem instalace 'dupeGuru' na U20-mate dnes ...
« Odpověď #8 kdy: 09 Února 2024, 18:40:36 »
...čitas???...na instalaciu 5 balikov...???...tam su tie pythoni...!!!...bud mas cely system na prd,alebo mozno nemas mate 20.04-ku...a to najhorsi,nevies co robis... :o :o :o

 

Provoz zaštiťuje spolek OpenAlt.